Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 456379 - RHEL4: audit log injection attack via login
Summary: RHEL4: audit log injection attack via login
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux
Version: 4.6
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-23 08:43 UTC by Karel Zak
Modified: 2009-05-18 19:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 19:02:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0981 0 normal SHIPPED_LIVE Low: util-linux security and bug fix update 2009-05-18 13:45:19 UTC

Description Karel Zak 2008-07-23 08:43:00 UTC
+++ This bug was initially created as a clone of Bug #456378 +++

Steve Grubb wrote:
> A while back I found a couple audit log injection attacks which became
> CVE-2007-3102. I forgot to look at login to see if its vulnerable and Mirek
> found that it is. To verify the problem, type:
> 
> root addr=xyz.com
>
> for the account name while logging in. It will look like root logged in with
> an address of xyz.com.

Note, the problem has been fixed in Fedora and upstream code.

Comment 1 Karel Zak 2008-07-23 08:44:08 UTC
Steve's note about RHEL4:
> For RHEL4, have a Requires: audit-libs >= 1.0.15 and you should be fine. I 
> think that function was not available in some early versions of the library.

Comment 2 RHEL Program Management 2008-09-18 19:15:11 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 9 errata-xmlrpc 2009-05-18 19:02:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0981.html


Note You need to log in before you can comment on or make changes to this bug.